Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# TiXmlNode Class Reference

Inheritance diagram for TiXmlNode:

List of all members.

## Public Types
enum | NodeType { TINYXMLDOCUMENT = 0, TINYXMLELEMENT = 1, TINYXMLCOMMENT = 2, TINYXMLUNKNOWN = 3, TINYXMLTEXT = 4, TINYXMLDECLARATION = 5, TINYXMLTYPECOUNT = 6 }
## Public Member Functions
bool | Accept (TiXmlVisitor visitor)
| Clear ()
TiXmlNode | Clone ()
TiXmlNode | FirstChild ()
TiXmlNode const | FirstChild ()
TiXmlNode | FirstChild (string _value)
TiXmlNode const | FirstChild (string _value)
TiXmlNode | FirstChild (string _value)
TiXmlNode const | FirstChild (string value)
TiXmlElement | FirstChildElement ()
TiXmlElement const | FirstChildElement ()
TiXmlElement | FirstChildElement (string _value)
TiXmlElement const | FirstChildElement (string _value)
TiXmlElement | FirstChildElement (string _value)
TiXmlElement const | FirstChildElement (string _value)
TiXmlDocument | GetDocument ()
TiXmlDocument const | GetDocument ()
TiXmlNode | InsertAfterChild (TiXmlNode afterThis, TiXmlNode const addThis)
TiXmlNode | InsertBeforeChild (TiXmlNode beforeThis, TiXmlNode const addThis)
TiXmlNode | InsertEndChild (TiXmlNode const addThis)
TiXmlNode | IterateChildren (TiXmlNode const previous)
TiXmlNode const | IterateChildren (TiXmlNode const previous)
TiXmlNode | IterateChildren (string _value, TiXmlNode const previous)
TiXmlNode | IterateChildren (string _value, TiXmlNode const previous)
TiXmlNode const | IterateChildren (string _value, TiXmlNode const previous)
TiXmlNode const | IterateChildren (string value, TiXmlNode const previous)
TiXmlNode | LastChild (string _value)
TiXmlNode const | LastChild ()
TiXmlNode const | LastChild (string _value)
TiXmlNode | LastChild (string _value)
TiXmlNode const | LastChild (string value)
TiXmlNode | LastChild ()
TiXmlNode | NextSibling ()
TiXmlNode const | NextSibling ()
TiXmlNode | NextSibling (string _value)
TiXmlNode const | NextSibling (string _value)
TiXmlNode | NextSibling (string _next)
TiXmlNode const | NextSibling (string)
TiXmlElement const | NextSiblingElement (string _value)
TiXmlElement | NextSiblingElement ()
TiXmlElement const | NextSiblingElement ()
TiXmlElement | NextSiblingElement (string _value)
TiXmlElement | NextSiblingElement (string _next)
TiXmlElement const | NextSiblingElement (string)
bool | NoChildren ()
TiXmlNode const | Parent ()
TiXmlNode | Parent ()
TiXmlNode | PreviousSibling ()
TiXmlNode const | PreviousSibling ()
TiXmlNode | PreviousSibling (string _value)
TiXmlNode | PreviousSibling (string _prev)
TiXmlNode const | PreviousSibling (string)
TiXmlNode const | PreviousSibling (string _value)
bool | RemoveChild (TiXmlNode removeThis)
TiXmlNode | ReplaceChild (TiXmlNode replaceThis, TiXmlNode const withThis)
| SetValue (string _value)
| SetValue (string _value)
TiXmlComment | ToComment ()
TiXmlComment const | ToComment ()
TiXmlDeclaration const | ToDeclaration ()
TiXmlDeclaration | ToDeclaration ()
TiXmlDocument | ToDocument ()
TiXmlDocument const | ToDocument ()
TiXmlElement const | ToElement ()
TiXmlElement | ToElement ()
TiXmlText | ToText ()
TiXmlText const | ToText ()
TiXmlUnknown const | ToUnknown ()
TiXmlUnknown | ToUnknown ()
int | Type ()
string | Value ()
string | ValueStr ()
string | ValueTStr ()

## Member Enumeration Documentation

enum NodeType

Enumerator:

  TINYXMLDOCUMENT |
  TINYXMLELEMENT |
  TINYXMLCOMMENT |
  TINYXMLUNKNOWN |
  TINYXMLTEXT |
  TINYXMLDECLARATION |
  TINYXMLTYPECOUNT |

## Member Function Documentation

bool Accept | ( | TiXmlVisitor | visitor | ) |

Clear | ( |  | ) |

TiXmlNode Clone | ( |  | ) |

TiXmlNode FirstChild | ( |  | ) |

TiXmlNode const FirstChild | ( |  | ) |

TiXmlNode FirstChild | ( | string | _value | ) |

TiXmlNode const FirstChild | ( | string | _value | ) |

TiXmlNode FirstChild | ( | string | _value | ) |

TiXmlNode const FirstChild | ( | string | value | ) |

TiXmlElement FirstChildElement | ( |  | ) |

TiXmlElement const FirstChildElement | ( |  | ) |

TiXmlElement FirstChildElement | ( | string | _value | ) |

TiXmlElement const FirstChildElement | ( | string | _value | ) |

TiXmlElement FirstChildElement | ( | string | _value | ) |

TiXmlElement const FirstChildElement | ( | string | _value | ) |

TiXmlDocument GetDocument | ( |  | ) |

TiXmlDocument const GetDocument | ( |  | ) |

TiXmlNode InsertAfterChild | ( | TiXmlNode | afterThis,
|  | TiXmlNode const | addThis
| ) |  |

TiXmlNode InsertBeforeChild | ( | TiXmlNode | beforeThis,
|  | TiXmlNode const | addThis
| ) |  |

TiXmlNode InsertEndChild | ( | TiXmlNode const | addThis | ) |

TiXmlNode IterateChildren | ( | TiXmlNode const | previous | ) |

TiXmlNode const IterateChildren | ( | TiXmlNode const | previous | ) |

TiXmlNode IterateChildren | ( | string | _value,
|  | TiXmlNode const | previous
| ) |  |

TiXmlNode IterateChildren | ( | string | _value,
|  | TiXmlNode const | previous
| ) |  |

TiXmlNode const IterateChildren | ( | string | _value,
|  | TiXmlNode const | previous
| ) |  |

TiXmlNode const IterateChildren | ( | string | value,
|  | TiXmlNode const | previous
| ) |  |

TiXmlNode LastChild | ( | string | _value | ) |

TiXmlNode const LastChild | ( |  | ) |

TiXmlNode const LastChild | ( | string | _value | ) |

TiXmlNode LastChild | ( | string | _value | ) |

TiXmlNode const LastChild | ( | string | value | ) |

TiXmlNode LastChild | ( |  | ) |

TiXmlNode NextSibling | ( |  | ) |

TiXmlNode const NextSibling | ( |  | ) |

TiXmlNode NextSibling | ( | string | _value | ) |

TiXmlNode const NextSibling | ( | string | _value | ) |

TiXmlNode NextSibling | ( | string | _next | ) |

TiXmlNode const NextSibling | ( | string |  | ) |

TiXmlElement const NextSiblingElement | ( | string | _value | ) |

TiXmlElement NextSiblingElement | ( |  | ) |

TiXmlElement const NextSiblingElement | ( |  | ) |

TiXmlElement NextSiblingElement | ( | string | _value | ) |

TiXmlElement NextSiblingElement | ( | string | _next | ) |

TiXmlElement const NextSiblingElement | ( | string |  | ) |

bool NoChildren | ( |  | ) |

TiXmlNode const Parent | ( |  | ) |

TiXmlNode Parent | ( |  | ) |

TiXmlNode PreviousSibling | ( |  | ) |

TiXmlNode const PreviousSibling | ( |  | ) |

TiXmlNode PreviousSibling | ( | string | _value | ) |

TiXmlNode PreviousSibling | ( | string | _prev | ) |

TiXmlNode const PreviousSibling | ( | string |  | ) |

TiXmlNode const PreviousSibling | ( | string | _value | ) |

bool RemoveChild | ( | TiXmlNode | removeThis | ) |

TiXmlNode ReplaceChild | ( | TiXmlNode | replaceThis,
|  | TiXmlNode const | withThis
| ) |  |

SetValue | ( | string | _value | ) |

SetValue | ( | string | _value | ) |

TiXmlComment ToComment | ( |  | ) |

TiXmlComment const ToComment | ( |  | ) |

TiXmlDeclaration const ToDeclaration | ( |  | ) |

TiXmlDeclaration ToDeclaration | ( |  | ) |

TiXmlDocument ToDocument | ( |  | ) |

TiXmlDocument const ToDocument | ( |  | ) |

TiXmlElement const ToElement | ( |  | ) |

TiXmlElement ToElement | ( |  | ) |

TiXmlText ToText | ( |  | ) |

TiXmlText const ToText | ( |  | ) |

TiXmlUnknown const ToUnknown | ( |  | ) |

TiXmlUnknown ToUnknown | ( |  | ) |

int Type | ( |  | ) |

string Value | ( |  | ) |

string ValueStr | ( |  | ) |

string ValueTStr | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties